package viewModels
{
    /**
     * Interface for any presentation model that is to be used
     * with the SubCounterView view.
     */
    public interface ISubCounterViewModel extends IViewModel
    {
        [Bindable("subTotalChanged")]
        /**
         * The total of all grouped sub-counter's counts.
         */
        function get subTotal():int;
        /**
         * @private
         */
        function set subTotal(value:int):void;

        [Bindable("countChanged")]
        /**
         * The local count.
         */
        function get count():int;

        /**
         * Increases the local count.
         */
        function increaseCount():void;

        /**
         * Decreases the local count.
         */
        function decreaseCount():void;
    }
}