package events
{
    import flexunit.framework.Assert;

    import org.flexunit.asserts.assertEquals;
    import org.flexunit.asserts.assertNotNull;
    import org.flexunit.asserts.assertTrue;

    public class CountEventTest
    {
        [Test]
        public function testCountEvent():void
        {
            var expectedType:String = CountEvent.GLOBAL_UPDATE;
            var exceptedCount:int = 12;
            var event:CountEvent = new CountEvent(expectedType, exceptedCount);
            assertEquals("type", expectedType, event.type);
            assertEquals("count", exceptedCount, event.newCount);

            // since CountEvent is being used to tie into the Mate framework
            // it should bubble by default (if it were a standard component
            // event or equivalent this should default to false)
            assertTrue("bubbles", event.bubbles);
        }

        [Test]
        public function testClone():void
        {
            var expected:CountEvent = new CountEvent(CountEvent.LOCAL_UPDATE, 8);
            var actual:CountEvent = expected.clone() as CountEvent;
            assertNotNull(actual);
            assertTrue("different instances", expected != actual);
            assertEquals("identical type", expected.type, actual.type);
            assertEquals("identical count", expected.newCount, actual.newCount);
            assertEquals("identical bubbles", expected.bubbles, actual.bubbles);
            assertEquals("identical cancelable", expected.cancelable, actual.cancelable);
        }
    }
}